#2801 closed defect (fixed)

Invalid configuration option used in virtex bsp headers

Reported by: Tim Cussins Owned by: Tim Cussins <timcussins@…>
Priority: normal Milestone: 4.11.1
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

virtex4 and virtex5 bsp headers (bsp.h) define CONFIGURE_INTERRUPT_STACK_MEMORY, which causes confdefs.h to choke.

As discussed on mailing list, they should instead set BSP_INTERRUPT_STACK_SIZE.

Attachments (1)

virtex.diff (1.1 KB) - added by Tim Cussins on Nov 3, 2016 at 5:15:57 PM.
patch against 4.11 branch.

Download all attachments as: .zip

Change History (5)

Changed on Nov 3, 2016 at 5:15:57 PM by Tim Cussins

Attachment: virtex.diff added

patch against 4.11 branch.

comment:1 Changed on Nov 3, 2016 at 5:51:01 PM by Tim Cussins <timcussins@…>

Owner: set to Tim Cussins <timcussins@…>
Resolution: fixed
Status: newclosed

In 11ae6f94f88cbc393962fe37a3942cbdee243e54/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:2 Changed on Nov 3, 2016 at 5:52:13 PM by Tim Cussins <timcussins@…>

In a0b116dc357cd52521e489cea76bf018ea2580a1/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:3 Changed on Nov 16, 2016 at 12:18:15 AM by Tim Cussins <timcussins@…>

In a0b116dc357cd52521e489cea76bf018ea2580a1/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.

comment:4 Changed on Nov 18, 2016 at 8:35:37 PM by Tim Cussins <timcussins@…>

In a0b116dc357cd52521e489cea76bf018ea2580a1/rtems:

Error: Processor CommitTicketReference failed
/data/trac/repo/rtems.git does not appear to be a Git repository.
Note: See TracTickets for help on using tickets.